Skip to main content
GET
/
apps
/
{app_id}
/
views
/
{view_name}
Get a specific materialized view GET /apps/:app_id/views/:view_name
curl --request GET \
  --url https://api.example.com/apps/{app_id}/views/{view_name}
{
  "created_at": "<string>",
  "name": "<string>",
  "query": "<unknown>",
  "refresh_metadata": {
    "last_processed_block_height": 1,
    "last_processed_sequence": 1,
    "last_processed_timestamp": "2023-11-07T05:31:56Z",
    "last_refresh_timestamp": "2023-11-07T05:31:56Z",
    "total_source_records": 1,
    "total_view_records": 1,
    "last_processed_tx_id": "<string>"
  },
  "refresh_mode": "<string>",
  "source_collections": [
    "<string>"
  ],
  "variables": {}
}

Path Parameters

app_id
string
required

Application ID

view_name
string
required

View name

Response

Materialized view details

Information about a materialized view

created_at
string
required
name
string
required
query
any
required
refresh_metadata
object
required

Incremental refresh metadata

refresh_mode
string
required

Refresh mode: "live" or "lazy"

source_collections
string[]
required
variables
object